Bug 1797766

Summary: Resource Requirements" specDescriptor fields - CPU and Memory injects empty string YAML editor
Product: OpenShift Container Platform Reporter: Cyril <cajieh>
Component: Management ConsoleAssignee: Cyril <cajieh>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: low Docs Contact:
Priority: low    
Version: 4.4CC: aos-bugs, jokerman, spadgett, yapei
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Cause: Incomplete code Consequence: Resource Requirements" specDescriptor fields - CPU and Memory injects empty string YAML editor Fix: Added logic to handle injection of empty string Result: No empty string was injected in YAML editor
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:10:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Comment 4 Yadan Pei 2020-12-07 03:21:42 UTC
1. Install "Couchbase Operator" from 'OperatorHub' view
2. Go to 'Installed Operators' view and find "Couchbase Operator"
3. Click "Create instance" link for "Couchbase Cluster"
4. Click "Edit form" link
5. Find "Resource Requirements" widget in Servers.pod, but user can't enter any value

this is checked on a 4.7.0-0.nightly-2020-12-04-013308 cluster

Comment 6 Yadan Pei 2021-02-04 03:31:09 UTC
1. Install "Argo CD" operator from OperatorHub view
2. Create a instance of 'ArgoCD'
3. In the form view, find Controller.Resource Requirements widget, only set some inputs and leave others empty, such as only set memory limits and leave other fields empty, click YAML view, it shows 
spec:
  controller:
    resources:
      limits:
        memory: 50Mi

no empty string was injected in YAML editor

Verified on 4.7.0-0.nightly-2021-02-03-165316

Comment 9 errata-xmlrpc 2021-02-24 15:10:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633